What assigning the system to another organization would do to its
add-ons, without changing anything. The change itself is a
PUT /systems/{id} with the new organization_id: an add-on bought
by an organization that is neither the new one nor above it stays
valid until it expires, then is not renewed. An organization the
caller cannot assign systems to is a 400 on key organization_id
with message not_in_hierarchy.
GET
/systems/{id}/transfer
curl \
--request GET 'https://my.nethesis.it/backend/api/systems/{id}/transfer?organization_id=string' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"code": 200,
"message": "system transfer preview retrieved successfully",
"data": {
"from": {
"id": "5j8k2m4n6p8q",
"name": "ACME Reseller",
"type": "reseller"
},
"to": {
"id": "5j8k2m4n6p8q",
"name": "ACME Reseller",
"type": "reseller"
},
"addons": [
{
"system_id": "0f6e6a3a-2f7e-4a64-9a4c-0d1d2c3b4a59",
"system_name": "fw-headquarters",
"entitlement": "nsec-blacklist",
"display_name": "Advanced Threat Shield",
"scope": "string",
"valid_until": "2026-05-04T09:42:00Z",
"purchased_by_organization_name": "ACME Reseller",
"renewal": "continues"
}
],
"renewals_stopping": 1
}
}
Response examples (400)
{
"code": 400,
"message": "validation failed",
"data": {
"type": "validation_error",
"errors": [
{
"key": "username",
"message": "required",
"value": "string"
}
]
}
}
Response examples (401)
{
"code": 401,
"message": "invalid token",
"data": {}
}
Response examples (403)
{
"code": 403,
"message": "insufficient permissions",
"data": {}
}
Response examples (404)
{
"code": 400,
"message": "validation failed",
"data": {
"type": "validation_error",
"errors": [
{
"key": "username",
"message": "required",
"value": "string"
}
]
}
}